![logo-qm](./pic/logo-qm.jpg)

# qm-fs-touch [![npm version](https://badge.fury.io/js/qm-fs-touch.svg)](https://badge.fury.io/js/qm-fs-touch) [![Build Status](https://travis-ci.org/qaraluch/qm-fs-touch.svg?branch=master)](https://travis-ci.org/qaraluch/qm-fs-touch) [![code style: prettier](https://img.shields.io/badge/code_style-prettier-ff69b4.svg)](https://github.com/prettier/prettier)

> Simple module for creation files on disk. Use only in node.js above v.8 due to `util.promisify` usage.

## Installation

```
$ npm i -S qm-fs-touch
```

## Usage

```js
import touch from "qm-fs-ifexists";

// default
const options = {
  encoding: "utf8",
  overwrite: false
};

touch("./someFile", "content of the file", options).then(result => {
  console.log(result); // path to a created file
});
```

Content of the file can be a: \<Sring> | \<Buffer> | \<Uint8Array> as stated in Node.js [documentation](https://nodejs.org/api/fs.html#fs_fs_writefile_file_data_options_callback).

## Test

Tests are written with [ava](https://github.com/avajs/ava). Run by:

```sh
npm run test
```

## License

MIT © [qaraluch](https://github.com/qaraluch)
